Index: /code/branches/presentationHS15/src/modules/hover/FlagHUD.cc
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/FlagHUD.cc	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/FlagHUD.cc	(revision 11041)
@@ -36,6 +36,7 @@
 #include <OgrePanelOverlayElement.h>
 
+#include "util/StringUtils.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
+#include "Hover.h"
 
 namespace orxonox
@@ -47,4 +48,5 @@
         RegisterObject(FlagHUD);
 
+        this->hoverGame_ = NULL;
         this->panel_ = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
             .createOverlayElement("Panel", "FlagHUD_Panel_" + getUniqueNumberString()));
@@ -54,4 +56,12 @@
         this->flagCount_ = 5;
         setFlagCount(5);
+    }
+
+    FlagHUD::~FlagHUD()
+    {
+        if (this->isInitialized())
+        {
+            Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->panel_);
+        }
     }
 
@@ -78,6 +88,5 @@
         SUPER(FlagHUD, tick, dt);
 
-            setFlagCount(this->hoverGame->getFlags());
-        
+        setFlagCount(this->hoverGame_->getFlags());
     }
 
@@ -88,17 +97,9 @@
         if (this->getOwner() && this->getOwner()->getGametype())
         {
-            this->hoverGame = orxonox_cast<Hover*>(this->getOwner()->getGametype());
+            this->hoverGame_ = orxonox_cast<Hover*>(this->getOwner()->getGametype());
         }
         else
         {
-            this->hoverGame = 0;
-        }
-    }
-
-    FlagHUD::~FlagHUD()
-    {
-        if (this->isInitialized())
-        {
-            Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->panel_);
+            this->hoverGame_ = 0;
         }
     }
Index: /code/branches/presentationHS15/src/modules/hover/FlagHUD.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/FlagHUD.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/FlagHUD.h	(revision 11041)
@@ -33,11 +33,9 @@
 #define _FlagHUD_H__
 
-#include "overlays/OverlaysPrereqs.h"
+#include "HoverPrereqs.h"
 
-#include "util/Math.h"
 #include "util/OgreForwardRefs.h"
-#include "core/BaseObject.h"
 #include "overlays/OrxonoxOverlay.h"
-#include "Hover.h"
+#include "tools/interfaces/Tickable.h"
 
 namespace orxonox
@@ -52,9 +50,8 @@
         virtual void changedOwner();
 
-        virtual void setFlagCount(int flagCount);
-
+        void setFlagCount(int flagCount);
 
     private:
-        Hover* hoverGame;
+        Hover* hoverGame_;
         Ogre::PanelOverlayElement* panel_;
         int flagCount_;
Index: /code/branches/presentationHS15/src/modules/hover/Hover.cc
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/Hover.cc	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/Hover.cc	(revision 11041)
@@ -34,6 +34,7 @@
 #include "Hover.h"
 
+#include "HoverOrigin.h"
 #include "HoverWall.h"
-#include "HoverFlag.h"  
+#include "HoverFlag.h"
 #include "MazeGenerator.h"
 #include "core/CoreIncludes.h"
@@ -45,5 +46,4 @@
     Hover::Hover(Context* context) : Gametype(context)
     {
-        
         RegisterObject(Hover);
 
@@ -111,24 +111,3 @@
         flags_ = flagVector_.size();
     }
-
-    int Hover::getFlags()
-    {
-        // Call start for the parent class.
-        return flags_;
-    }   
-
-    void Hover::start()
-    {
-        // Call start for the parent class.
-        Gametype::start();
-    }
-
-    void Hover::end()
-    {
-        // DON'T CALL THIS!
-        //      Deathmatch::end();
-        // It will misteriously crash the game!
-        // Instead startMainMenu, this won't crash.
-        GSLevel::startMainMenu();
-    }
 }
Index: /code/branches/presentationHS15/src/modules/hover/Hover.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/Hover.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/Hover.h	(revision 11041)
@@ -37,23 +37,9 @@
 
 #include "HoverPrereqs.h"
-#include "HoverOrigin.h" 
+
+#include <vector>
 
 #include "gametypes/Gametype.h"
-#include "core/EventIncludes.h"
-#include "core/command/Executor.h"
-#include "core/config/ConfigValueIncludes.h"
-
-#include "gamestates/GSLevel.h"
-#include "chat/ChatManager.h"
-#include <vector>
-
-// ! HACK
-#include "infos/PlayerInfo.h"
-
-#include "core/command/ConsoleCommand.h"
-
-#include "tools/Timer.h"
-
-
+#include "HoverOrigin.h"
 
 namespace orxonox
@@ -64,7 +50,4 @@
             Hover(Context* context);
 
-            virtual void start();
-            virtual void end();
-
             virtual void tick(float dt);          
 
@@ -72,5 +55,6 @@
                 { this->origin_ = origin; }
 
-            int getFlags();
+            inline int getFlags() const
+                { return this->flags_; }
 
         private:
Index: /code/branches/presentationHS15/src/modules/hover/HoverFlag.cc
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverFlag.cc	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverFlag.cc	(revision 11041)
@@ -36,11 +36,7 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
+
 #include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
-
-
-
+#include "objects/collisionshapes/BoxCollisionShape.h"
 #include "core/XMLPort.h"
 
@@ -100,10 +96,4 @@
     }
 
-    //xml port unused
-    void HoverFlag::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(HoverFlag, XMLPort, xmlelement, mode);
-    }
-
     /**
     @brief
@@ -116,13 +106,3 @@
         return false;
     }
-
-    bool HoverFlag::getCollided(){
-        return collided_;
-    }
-
-    void HoverFlag::setCollided(bool setValue){
-        collided_ = setValue;
-    }
-    
-    
 }
Index: /code/branches/presentationHS15/src/modules/hover/HoverFlag.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverFlag.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverFlag.h	(revision 11041)
@@ -37,9 +37,7 @@
 
 #include "HoverPrereqs.h"
-#include "util/Math.h"
+#include "objects/ObjectsPrereqs.h"
+
 #include "worldentities/StaticEntity.h"
-#include "graphics/Model.h"    
-#include "objects/collisionshapes/BoxCollisionShape.h"
-
 
 namespace orxonox
@@ -50,9 +48,12 @@
             HoverFlag(Context* context);
             HoverFlag(Context* context, int xCoordinate, int yCoordinate, int cellSize);
+            virtual ~HoverFlag();
+
             virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint);            
-            virtual ~HoverFlag();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            bool getCollided();
-            void setCollided(bool setValue);
+
+            inline bool getCollided() const
+                { return this->collided_; }
+            inline void setCollided(bool setValue)
+                { this->collided_ = setValue; }
 
         private:
Index: /code/branches/presentationHS15/src/modules/hover/HoverOrigin.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverOrigin.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverOrigin.h	(revision 11041)
@@ -31,8 +31,4 @@
 
 #include "HoverPrereqs.h"
-
-#include <string>
-
-#include <util/Math.h>
 
 #include "worldentities/StaticEntity.h"
Index: /code/branches/presentationHS15/src/modules/hover/HoverPrereqs.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverPrereqs.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverPrereqs.h	(revision 11041)
@@ -68,9 +68,12 @@
 namespace orxonox
 {
+    class FlagHUD;
     class Hover;
+    class HoverFlag;
+    class HoverOrigin;
     class HoverShip;
     class HoverWall;
-    class HoverOrigin;
-    class HoverFlag;
+    class MazeGenerator;
+    class TimeHUD;
 }
 
Index: /code/branches/presentationHS15/src/modules/hover/HoverShip.cc
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverShip.cc	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverShip.cc	(revision 11041)
@@ -32,4 +32,7 @@
 #include "HoverShip.h"
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+
+#include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
 
 namespace orxonox
@@ -42,9 +45,5 @@
         enableCollisionCallback();
         isFloor_ = false;
-    }
-
-    void HoverShip::tick(float dt)
-    {
-        SUPER(HoverShip, tick, dt);
+        jumpBoost_ = 0;
     }
 
@@ -70,24 +69,4 @@
 
         XMLPortParam(HoverShip, "jumpBoost", setJumpBoost, getJumpBoost, xmlelement, mode);
-    }
-
-    /**
-    @brief
-        sets this ships jumpBoost
-    @param jumpBoost
-    */
-    void HoverShip::setJumpBoost(float jumpBoost)
-    {
-        this->jumpBoost_ = jumpBoost;
-    }
-
-    /**
-    @brief
-        returns this ships jumpBoost
-    @returns jumpBoost
-    */
-    float HoverShip::getJumpBoost()
-    {
-        return jumpBoost_;
     }
 
Index: /code/branches/presentationHS15/src/modules/hover/HoverShip.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverShip.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverShip.h	(revision 11041)
@@ -33,12 +33,7 @@
 #define _HoverShip_H__
 
-#include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
-
 #include "HoverPrereqs.h"
 
-#include "core/XMLPort.h"
 #include "worldentities/pawns/SpaceShip.h"
-#include "graphics/Camera.h"
-#include "core/class/Super.h"
 
 namespace orxonox
@@ -46,18 +41,15 @@
     class _HoverExport HoverShip : public SpaceShip
     {
-    private:
-        float jumpBoost_;
-        bool isFloor_;
-
         public:
             HoverShip(Context* context);
 
-            virtual void tick(float dt);
-
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-            virtual void setJumpBoost(float jumpBoost);
-
-            virtual float getJumpBoost();
+            /// sets this ships jumpBoost
+            inline void setJumpBoost(float jumpBoost)
+                { this->jumpBoost_ = jumpBoost; }
+            /// returns this ships jumpBoost
+            inline float getJumpBoost() const
+                { return this->jumpBoost_; }
 
             virtual void moveFrontBack(const Vector2& value);
@@ -77,4 +69,7 @@
             virtual void boost(bool bBoost);
 
+        private:
+            float jumpBoost_;
+            bool isFloor_;
     };
 }
Index: /code/branches/presentationHS15/src/modules/hover/HoverWall.cc
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverWall.cc	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverWall.cc	(revision 11041)
@@ -35,11 +35,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
 #include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
-
-
-#include "core/XMLPort.h"
+#include "objects/collisionshapes/BoxCollisionShape.h"
 
 namespace orxonox
@@ -111,9 +106,3 @@
 
     }
-
-    //xml port for loading height and width of the platform, unused
-    void HoverWall::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(HoverWall, XMLPort, xmlelement, mode);
-    }
 }
Index: /code/branches/presentationHS15/src/modules/hover/HoverWall.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/HoverWall.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/HoverWall.h	(revision 11041)
@@ -37,9 +37,7 @@
 
 #include "HoverPrereqs.h"
-#include "util/Math.h"
+#include "objects/ObjectsPrereqs.h"
+
 #include "worldentities/StaticEntity.h"
-#include "graphics/Model.h"    
-#include "objects/collisionshapes/BoxCollisionShape.h"
-
 
 namespace orxonox
@@ -51,10 +49,8 @@
             HoverWall(Context* context, int x, int y, int cellSize, int cellHeight, int orientation);
             virtual ~HoverWall();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         private:
             Model* model_;
             BoxCollisionShape* cs_;
-
     };
 }
Index: /code/branches/presentationHS15/src/modules/hover/TimeHUD.cc
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/TimeHUD.cc	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/TimeHUD.cc	(revision 11041)
@@ -34,5 +34,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "util/Convert.h"
 #include "Hover.h"
@@ -46,13 +45,8 @@
         RegisterObject(TimeHUD);
 
-        this->_time = 0.0f;
-        this->_running = false;
-        this->hoverGame = 0;
+        this->time_ = 0.0f;
+        this->running_ = false;
+        this->hoverGame_ = 0;
         setRunning(true);
-    }
-
-    void TimeHUD::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(TimeHUD, XMLPort, xmlelement, mode);
     }
 
@@ -82,12 +76,12 @@
         SUPER(TimeHUD, tick, dt);
 
-        if(this->_running) {
-            this->_time += dt;
+        if(this->running_) {
+            this->time_ += dt;
         }
-        if (this->hoverGame)
+        if (this->hoverGame_)
         {
-            this->setCaption(getTimeString(this->_time));
+            this->setCaption(getTimeString(this->time_));
         }
-        if(this->hoverGame->getFlags() == 0)
+        if(this->hoverGame_->getFlags() == 0)
             setRunning(false);
         
@@ -100,34 +94,15 @@
         if (this->getOwner() && this->getOwner()->getGametype())
         {
-            this->hoverGame = orxonox_cast<Hover*>(this->getOwner()->getGametype());
+            this->hoverGame_ = orxonox_cast<Hover*>(this->getOwner()->getGametype());
         }
         else
         {
-            this->hoverGame = 0;
+            this->hoverGame_ = 0;
         }
-    }
-
-    /**
-    @brief
-        sets if the clock is running
-    @param running
-    */
-    void TimeHUD::setRunning(bool running) 
-    {
-        this->_running = running;
-    }
-
-    /**
-    @brief
-        returns if the clock is running
-    @returns running
-    */
-    bool TimeHUD::isRunning() {
-        return this->_running;
     }
 
     void TimeHUD::reset()
     {
-        this->_time = 0;
+        this->time_ = 0;
     }
 }
Index: /code/branches/presentationHS15/src/modules/hover/TimeHUD.h
===================================================================
--- /code/branches/presentationHS15/src/modules/hover/TimeHUD.h	(revision 11040)
+++ /code/branches/presentationHS15/src/modules/hover/TimeHUD.h	(revision 11041)
@@ -33,5 +33,5 @@
 #define _TimeHUD_H__
 
-#include "hover/HoverPrereqs.h"
+#include "HoverPrereqs.h"
 
 #include "tools/interfaces/Tickable.h"
@@ -46,15 +46,19 @@
 
             virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             virtual void changedOwner();
 
-            virtual void setRunning(bool running);
-            virtual bool isRunning();
-            virtual void reset();
+            /// sets if the clock is running
+            inline void setRunning(bool running)
+                { this->running_ = running; }
+            /// returns if the clock is running
+            inline bool isRunning() const
+                { return this->running_; }
+
+            void reset();
 
         private:
-            Hover* hoverGame;
-            float _time;
-            bool _running;
+            Hover* hoverGame_;
+            float time_;
+            bool running_;
     };
 }