Index: code/branches/presentationHS15/data/gui/layouts/InGameMenu.layout
===================================================================
--- code/branches/presentationHS15/data/gui/layouts/InGameMenu.layout	(revision 11049)
+++ code/branches/presentationHS15/data/gui/layouts/InGameMenu.layout	(revision 11050)
@@ -19,5 +19,5 @@
             <Property Name="Alpha" Value="0.9" />
             <Event Name="Clicked" Function="InGameMenu.button_reloadLevel_clicked"/>
-        </Window>        
+        </Window>
         <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_MainMenuButton" >
             <Property Name="Text" Value="Main Menu" />
Index: code/branches/presentationHS15/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/presentationHS15/data/levels/emptyLevel.oxw	(revision 11049)
+++ code/branches/presentationHS15/data/levels/emptyLevel.oxw	(revision 11050)
@@ -1,3 +1,3 @@
- <LevelInfo
+<LevelInfo
  name = "Empty level"
  description = "A level with absolutely nothing in it."
@@ -29,6 +29,5 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-        
+    
   </Scene>
 </Level>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 11050)
@@ -48,3 +48,3 @@
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
-    </munition>    
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsCollateral.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 11050)
@@ -50,3 +50,3 @@
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
       <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
-    </munition>    
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 11050)
@@ -28,3 +28,3 @@
     <munition>
       <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
-    </munition>      
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsEscortMine.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsEscortMine.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsEscortMine.oxi	(revision 11050)
@@ -32,3 +32,3 @@
       <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
       <MineMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
-    </munition>      
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 11050)
@@ -53,3 +53,3 @@
       <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
-    </munition>    
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 11050)
@@ -53,3 +53,3 @@
       <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
-    </munition>      
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsHXY.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 11050)
@@ -28,3 +28,3 @@
       <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
       <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
-    </munition> 
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsRing.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 11049)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 11050)
@@ -1,4 +1,4 @@
     <weaponslots>
-      <WeaponSlot position="11,0,-7" />      
+      <WeaponSlot position="11,0,-7" />
       <WeaponSlot position="-11,0,-7" />
       <WeaponSlot position="0,0,-7" />
Index: code/branches/presentationHS15/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipEscort.oxt	(revision 11049)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipEscort.oxt	(revision 11050)
@@ -105,9 +105,6 @@
       <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
        />
-
-	   <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=150 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
-
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=150 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=15 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
-
     </EffectContainer>
     <EffectContainer condition="not idle">
@@ -118,10 +115,6 @@
 
     </EffectContainer>
-
     <EffectContainer condition="normal or boost">
-	
-	
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=5 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
     </EffectContainer>
Index: code/branches/presentationHS15/data/levels/templates/spaceshipEscortMine.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipEscortMine.oxt	(revision 11049)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipEscortMine.oxt	(revision 11050)
@@ -105,9 +105,6 @@
       <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
        />
-
-	   <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=150 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
-
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=150 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=15 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
-
     </EffectContainer>
     <EffectContainer condition="not idle">
@@ -118,13 +115,8 @@
 
     </EffectContainer>
-
     <EffectContainer condition="normal or boost">
-	
-	
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=5 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
     </EffectContainer>
-
     <EffectContainer condition="boost">
       <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />