Index: code/branches/cpp11_v3/src/external/cpptcl/cpptcl.cc
===================================================================
--- code/branches/cpp11_v3/src/external/cpptcl/cpptcl.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/external/cpptcl/cpptcl.cc	(revision 11054)
@@ -17,7 +17,4 @@
 using namespace Tcl::details;
 using namespace std;
-// boost::shared_ptr conflicts with the new std::shared_ptr
-//using namespace boost;
-
 
 result::result(Tcl_Interp *interp) : interp_(interp) {}
@@ -168,5 +165,5 @@
 
 // map of polymorphic callbacks
-typedef map<string, boost::shared_ptr<callback_base> > callback_interp_map;
+typedef map<string, std::shared_ptr<callback_base> > callback_interp_map;
 typedef map<Tcl_Interp *, callback_interp_map> callback_map;
 
@@ -181,5 +178,5 @@
 
 // map of object handlers
-typedef map<string, boost::shared_ptr<class_handler_base> > class_interp_map;
+typedef map<string, std::shared_ptr<class_handler_base> > class_interp_map;
 typedef map<Tcl_Interp *, class_interp_map> class_handlers_map;
 
@@ -492,5 +489,5 @@
 
 void class_handler_base::register_method(string const &name,
-     boost::shared_ptr<object_cmd_base> ocb, policies const &p)
+     std::shared_ptr<object_cmd_base> ocb, policies const &p)
 {
      methods_[name] = ocb;
@@ -991,5 +988,5 @@
 
 void interpreter::add_function(string const &name,
-     boost::shared_ptr<callback_base> cb, policies const &p)
+     std::shared_ptr<callback_base> cb, policies const &p)
 {
      Tcl_CreateObjCommand(interp_, name.c_str(),
@@ -1001,5 +998,5 @@
 
 void interpreter::add_class(string const &name,
-     boost::shared_ptr<class_handler_base> chb)
+     std::shared_ptr<class_handler_base> chb)
 {
      class_handlers[interp_][name] = chb;
@@ -1007,5 +1004,5 @@
 
 void interpreter::add_constructor(string const &name,
-     boost::shared_ptr<class_handler_base> chb, boost::shared_ptr<callback_base> cb,
+     std::shared_ptr<class_handler_base> chb, std::shared_ptr<callback_base> cb,
      policies const &p)
 {
Index: code/branches/cpp11_v3/src/external/cpptcl/cpptcl.h
===================================================================
--- code/branches/cpp11_v3/src/external/cpptcl/cpptcl.h	(revision 11053)
+++ code/branches/cpp11_v3/src/external/cpptcl/cpptcl.h	(revision 11054)
@@ -17,10 +17,10 @@
 #include <map>
 #include <vector>
-#include <boost/shared_ptr.hpp>
-#include <boost/bind.hpp>
-
+#include <memory>
+#include <functional>
 
 namespace Tcl
 {
+namespace arg = std::placeholders;
 
 // exception class used for reporting all Tcl errors
@@ -141,5 +141,5 @@
 
      void register_method(std::string const &name,
-          boost::shared_ptr<object_cmd_base> ocb, policies const &p);
+          std::shared_ptr<object_cmd_base> ocb, policies const &p);
 
      policies & get_policies(std::string const &name);
@@ -148,5 +148,5 @@
      typedef std::map<
           std::string,
-          boost::shared_ptr<object_cmd_base>
+          std::shared_ptr<object_cmd_base>
           > method_map_type;
 
@@ -214,5 +214,5 @@
 {
 public:
-     class_definer(boost::shared_ptr<class_handler<C> > ch) : ch_(ch) {}
+     class_definer(std::shared_ptr<class_handler<C> > ch) : ch_(ch) {}
 
      template <typename R>
@@ -221,5 +221,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method0<C, R>(f)), p);
           return *this;
@@ -231,5 +231,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method0<C, R>(f)), p);
           return *this;
@@ -241,5 +241,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method1<C, R, T1>(f)), p);
           return *this;
@@ -251,5 +251,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method1<C, R, T1>(f)), p);
           return *this;
@@ -261,5 +261,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method2<C, R, T1, T2>(f)), p);
           return *this;
@@ -271,5 +271,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method2<C, R, T1, T2>(f)), p);
           return *this;
@@ -281,5 +281,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method3<C, R, T1, T2, T3>(f)), p);
           return *this;
@@ -291,5 +291,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method3<C, R, T1, T2, T3>(f)), p);
           return *this;
@@ -301,5 +301,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method4<C, R, T1, T2, T3, T4>(f)), p);
           return *this;
@@ -312,5 +312,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method4<C, R, T1, T2, T3, T4>(f)), p);
           return *this;
@@ -323,5 +323,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method5<C, R, T1, T2, T3, T4, T5>(f)), p);
           return *this;
@@ -334,5 +334,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method5<C, R, T1, T2, T3, T4, T5>(f)), p);
           return *this;
@@ -345,5 +345,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method6<C, R, T1, T2, T3, T4, T5, T6>(f)),
                p);
@@ -358,5 +358,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method6<C, R, T1, T2, T3, T4, T5, T6>(f)),
                p);
@@ -371,5 +371,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method7<C, R,
                     T1, T2, T3, T4, T5, T6, T7>(f)), p);
@@ -384,5 +384,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method7<C, R,
                     T1, T2, T3, T4, T5, T6, T7>(f)), p);
@@ -397,5 +397,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method8<C, R,
                     T1, T2, T3, T4, T5, T6, T7, T8>(f)), p);
@@ -410,5 +410,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method8<C, R,
                     T1, T2, T3, T4, T5, T6, T7, T8>(f)), p);
@@ -423,5 +423,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method9<C, R,
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(f)), p);
@@ -436,5 +436,5 @@
      {
           ch_->register_method(name,
-               boost::shared_ptr<details::object_cmd_base>(
+               std::shared_ptr<details::object_cmd_base>(
                     new details::method9<C, R,
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(f)), p);
@@ -443,5 +443,5 @@
 
 private:
-     boost::shared_ptr<class_handler<C> > ch_;
+     std::shared_ptr<class_handler<C> > ch_;
 };
 
@@ -482,5 +482,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback0<R>(f)), p);
      }
@@ -491,5 +491,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback1<R, T1>(f)), p);
      }
@@ -500,5 +500,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback2<R, T1, T2>(f)), p);
      }
@@ -509,5 +509,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback3<R, T1, T2, T3>(f)), p);
      }
@@ -518,5 +518,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback4<R, T1, T2, T3, T4>(f)), p);
      }
@@ -528,5 +528,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback5<R, T1, T2, T3, T4, T5>(f)), p);
      }
@@ -538,5 +538,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback6<R, T1, T2, T3, T4, T5, T6>(f)), p);
      }
@@ -548,5 +548,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback7<R,
                     T1, T2, T3, T4, T5, T6, T7>(f)), p);
@@ -559,5 +559,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback8<R,
                     T1, T2, T3, T4, T5, T6, T7, T8>(f)), p);
@@ -572,5 +572,5 @@
      {
           add_function(name,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback9<R,
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(f)), p);
@@ -583,5 +583,5 @@
      details::class_definer<C> class_(std::string const &name)
      {
-          boost::shared_ptr<details::class_handler<C> > ch(
+          std::shared_ptr<details::class_handler<C> > ch(
                new details::class_handler<C>());
 
@@ -589,5 +589,5 @@
 
           add_constructor(name, ch,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new details::callback0<C*>(&details::construct<
                          C, void, void, void, void, void, void, void,
@@ -608,5 +608,5 @@
                callback_type;
 
-          boost::shared_ptr<details::class_handler<C> > ch(
+          std::shared_ptr<details::class_handler<C> > ch(
                new details::class_handler<C>());
 
@@ -614,5 +614,5 @@
 
           add_constructor(name, ch,
-               boost::shared_ptr<details::callback_base>(
+               std::shared_ptr<details::callback_base>(
                     new callback_type(&details::construct<
                          C, T1, T2, T3, T4, T5, T6, T7, T8, T9>::doit)), p);
@@ -625,5 +625,5 @@
           std::string const &name, details::no_init_type const &)
      {
-          boost::shared_ptr<details::class_handler<C> > ch(
+          std::shared_ptr<details::class_handler<C> > ch(
                new details::class_handler<C>());
 
@@ -660,13 +660,13 @@
 
      void add_function(std::string const &name,
-          boost::shared_ptr<details::callback_base> cb,
+          std::shared_ptr<details::callback_base> cb,
           policies const &p = policies());
 
      void add_class(std::string const &name,
-          boost::shared_ptr<details::class_handler_base> chb);
+          std::shared_ptr<details::class_handler_base> chb);
 
      void add_constructor(std::string const &name,
-          boost::shared_ptr<details::class_handler_base> chb,
-          boost::shared_ptr<details::callback_base> cb,
+          std::shared_ptr<details::class_handler_base> chb,
+          std::shared_ptr<details::callback_base> cb,
           policies const &p = policies());
 
Index: code/branches/cpp11_v3/src/external/cpptcl/details/methods.h
===================================================================
--- code/branches/cpp11_v3/src/external/cpptcl/details/methods.h	(revision 11053)
+++ code/branches/cpp11_v3/src/external/cpptcl/details/methods.h	(revision 11054)
@@ -27,9 +27,9 @@
           if (cmem_)
           {
-               dispatch<R>::do_dispatch(interp, boost::bind(cf_, p));
-          }
-          else
-          {
-               dispatch<R>::do_dispatch(interp, boost::bind(f_, p));
+               dispatch<R>::do_dispatch(interp, std::bind(cf_, p));
+          }
+          else
+          {
+               dispatch<R>::do_dispatch(interp, std::bind(f_, p));
           }
      }
@@ -60,5 +60,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(cf_, p, _1),
+                    interp, std::bind(cf_, p, arg::_1),
                     tcl_cast<T1>::from(interp, objv[2]));
           }
@@ -66,5 +66,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(f_, p, _1),
+                    interp, std::bind(f_, p, arg::_1),
                     tcl_cast<T1>::from(interp, objv[2]));
           }
@@ -96,5 +96,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(cf_, p, _1, _2),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]));
@@ -103,5 +103,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(f_, p, _1, _2),
+                    interp, std::bind(f_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]));
@@ -134,5 +134,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(cf_, p, _1, _2, _3),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -142,5 +142,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(f_, p, _1, _2, _3),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -175,5 +175,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -184,5 +184,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -218,5 +218,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -228,5 +228,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -263,5 +263,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -274,5 +274,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -310,5 +310,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -322,5 +322,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -360,6 +360,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -375,6 +375,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -416,6 +416,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -432,6 +432,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
Index: code/branches/cpp11_v3/src/external/cpptcl/details/methods_v.h
===================================================================
--- code/branches/cpp11_v3/src/external/cpptcl/details/methods_v.h	(revision 11053)
+++ code/branches/cpp11_v3/src/external/cpptcl/details/methods_v.h	(revision 11054)
@@ -33,5 +33,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(cf_, p, _1),
+                    interp, std::bind(cf_, p, arg::_1),
                     t1);
           }
@@ -39,5 +39,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(f_, p, _1),
+                    interp, std::bind(f_, p, arg::_1),
                     t1);
           }
@@ -72,5 +72,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(cf_, p, _1, _2),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     t2);
@@ -79,5 +79,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(f_, p, _1, _2),
+                    interp, std::bind(f_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     t2);
@@ -113,5 +113,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(cf_, p, _1, _2, _3),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -121,5 +121,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(f_, p, _1, _2, _3),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -156,5 +156,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -165,5 +165,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -202,5 +202,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -212,5 +212,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -251,5 +251,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -262,5 +262,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -302,5 +302,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -314,5 +314,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -356,6 +356,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -371,6 +371,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -415,6 +415,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -431,6 +431,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
Index: code/branches/cpp11_v3/src/external/ois/linux/LinuxJoyStickEvents.cpp
===================================================================
--- code/branches/cpp11_v3/src/external/ois/linux/LinuxJoyStickEvents.cpp	(revision 11053)
+++ code/branches/cpp11_v3/src/external/ois/linux/LinuxJoyStickEvents.cpp	(revision 11054)
@@ -34,5 +34,5 @@
 #include <cassert>	
 #include <linux/input.h>
-
+#include <unistd.h>
 
 #include <sstream>
Index: code/branches/cpp11_v3/src/external/tinyxml/ticpp.cpp
===================================================================
--- code/branches/cpp11_v3/src/external/tinyxml/ticpp.cpp	(revision 11053)
+++ code/branches/cpp11_v3/src/external/tinyxml/ticpp.cpp	(revision 11054)
@@ -717,5 +717,5 @@
 }
 
-std::auto_ptr< Node > Node::Clone() const
+std::unique_ptr< Node > Node::Clone() const
 {
 	TiXmlNode* node = GetTiXmlPointer()->Clone();
@@ -724,5 +724,5 @@
 		TICPPTHROW( "Node could not be cloned" );
 	}
-	std::auto_ptr< Node > temp( NodeFactory( node, false, false ) );
+	std::unique_ptr< Node > temp( NodeFactory( node, false, false ) );
 
 	// Take ownership of the memory from TiXml
Index: code/branches/cpp11_v3/src/external/tinyxml/ticpp.h
===================================================================
--- code/branches/cpp11_v3/src/external/tinyxml/ticpp.h	(revision 11053)
+++ code/branches/cpp11_v3/src/external/tinyxml/ticpp.h	(revision 11054)
@@ -966,5 +966,5 @@
 		Create an exact duplicate of this node and return it.
 
-		@note Using auto_ptr to manage the memory declared on the heap by TiXmlNode::Clone.
+		@note Using unique_ptr to manage the memory declared on the heap by TiXmlNode::Clone.
 		@code
 		// Now using clone
@@ -972,5 +972,5 @@
 		ticpp::Node* sectionToClone;
 		sectionToClone = doc.FirstChild( "settings" );
-		std::auto_ptr< ticpp::Node > clonedNode = sectionToClone->Clone();
+		std::unique_ptr< ticpp::Node > clonedNode = sectionToClone->Clone();
 		// Now you can use the clone.
 		ticpp::Node* node2 = clonedNode->FirstChildElement()->FirstChild();
@@ -980,5 +980,5 @@
 		@return Pointer the duplicate node.
 		*/
-		std::auto_ptr< Node > Clone() const;
+		std::unique_ptr< Node > Clone() const;
 
 		/**
Index: code/branches/cpp11_v3/src/external/tolua/lua/package.lua
===================================================================
--- code/branches/cpp11_v3/src/external/tolua/lua/package.lua	(revision 11053)
+++ code/branches/cpp11_v3/src/external/tolua/lua/package.lua	(revision 11054)
@@ -82,4 +82,5 @@
     self.code = gsub(self.code,"%s*@%s*","@") -- eliminate spaces beside @
     self.code = gsub(self.code,"%s?inline(%s)","%1") -- eliminate 'inline' keyword
+    self.code = gsub(self.code,"%)%s?override;",");") -- eliminate 'override' keyword... at least most of the times
     --self.code = gsub(self.code,"%s?extern(%s)","%1") -- eliminate 'extern' keyword
     --self.code = gsub(self.code,"%s?virtual(%s)","%1") -- eliminate 'virtual' keyword