Index: code/branches/cpp11_v3/src/modules/jump/JumpBoots.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpBoots.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpBoots.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpBoots::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpBoots, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpBoots.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpBoots.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpBoots.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpBoots();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -52,9 +51,4 @@
     {
 
-    }
-
-    void JumpPlatformDisappear::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformDisappear, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h	(revision 11057)
@@ -47,5 +47,4 @@
             virtual ~JumpPlatformDisappear();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void setProperties(bool active);
             virtual bool isActive();
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -51,9 +50,4 @@
     }
 
-    void JumpPlatformFake::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformFake, XMLPort, xmlelement, mode);
-    }
-
     void JumpPlatformFake::tick(float dt)
     {
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h	(revision 11057)
@@ -47,5 +47,4 @@
             virtual ~JumpPlatformFake();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
     };
 }
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -52,9 +51,4 @@
     {
 
-    }
-
-    void JumpPlatformHMove::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformHMove, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformHMove.h	(revision 11057)
@@ -42,5 +42,4 @@
             virtual ~JumpPlatformHMove();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void setProperties(float leftBoundary, float rightBoundary, float speed);
             virtual void touchFigure() override;
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -53,10 +52,4 @@
     }
 
-    //xml port for loading sounds
-    void JumpPlatformStatic::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformStatic, XMLPort, xmlelement, mode);
-    }
-
     void JumpPlatformStatic::tick(float dt)
     {
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h	(revision 11057)
@@ -42,5 +42,4 @@
 
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             virtual void touchFigure() override;
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -52,9 +51,4 @@
     {
 
-    }
-
-    void JumpPlatformVMove::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPlatformVMove, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPlatformVMove.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpPlatformVMove();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void setProperties(float leftBoundary, float rightBoundary, float speed);
             virtual void touchFigure() override;
Index: code/branches/cpp11_v3/src/modules/jump/JumpProjectile.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpProjectile.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpProjectile.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 #include "JumpEnemy.h"
@@ -56,9 +55,4 @@
     {
 
-    }
-
-    void JumpProjectile::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpProjectile, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpProjectile.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpProjectile.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpProjectile.h	(revision 11057)
@@ -45,6 +45,4 @@
             virtual void tick(float dt) override;
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-
             void setFieldDimension(float width, float height)
                 { this->fieldWidth_ = width; this->fieldHeight_ = height; }
Index: code/branches/cpp11_v3/src/modules/jump/JumpPropeller.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPropeller.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPropeller.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpPropeller::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpPropeller, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpPropeller.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpPropeller.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpPropeller.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpPropeller();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpRocket.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpRocket.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpRocket.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpRocket::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpRocket, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpRocket.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpRocket.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpRocket.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpRocket();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpShield.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpShield.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpShield.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -59,9 +58,4 @@
     {
 
-    }
-
-    void JumpShield::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpShield, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpShield.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpShield.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpShield.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpShield();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void touchFigure() override;
             virtual float getFuelState();
Index: code/branches/cpp11_v3/src/modules/jump/JumpSpring.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpSpring.cc	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpSpring.cc	(revision 11057)
@@ -35,5 +35,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "JumpFigure.h"
 
@@ -58,9 +57,4 @@
     {
 
-    }
-
-    void JumpSpring::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpSpring, XMLPort, xmlelement, mode);
     }
 
Index: code/branches/cpp11_v3/src/modules/jump/JumpSpring.h
===================================================================
--- code/branches/cpp11_v3/src/modules/jump/JumpSpring.h	(revision 11054)
+++ code/branches/cpp11_v3/src/modules/jump/JumpSpring.h	(revision 11057)
@@ -41,5 +41,4 @@
             virtual ~JumpSpring();
             virtual void tick(float dt) override;
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             virtual void accelerateFigure();
             virtual void touchFigure() override;