Index: /code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc
===================================================================
--- /code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.cc	(revision 11058)
@@ -53,9 +53,4 @@
     }
 
-    void JumpPlatformDisappear::tick(float dt)
-    {
-        SUPER(JumpPlatformDisappear, tick, dt);
-    }
-
     void JumpPlatformDisappear::setProperties(bool active)
     {
Index: /code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/jump/JumpPlatformDisappear.h	(revision 11058)
@@ -46,5 +46,4 @@
             JumpPlatformDisappear(Context* context);
             virtual ~JumpPlatformDisappear();
-            virtual void tick(float dt) override;
             virtual void setProperties(bool active);
             virtual bool isActive();
Index: /code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc
===================================================================
--- /code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.cc	(revision 11058)
@@ -49,9 +49,3 @@
 
     }
-
-    void JumpPlatformFake::tick(float dt)
-    {
-        SUPER(JumpPlatformFake, tick, dt);
-    }
-
 }
Index: /code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/jump/JumpPlatformFake.h	(revision 11058)
@@ -46,5 +46,4 @@
             JumpPlatformFake(Context* context);
             virtual ~JumpPlatformFake();
-            virtual void tick(float dt) override;
     };
 }
Index: /code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc
===================================================================
--- /code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.cc	(revision 11058)
@@ -52,9 +52,4 @@
     }
 
-    void JumpPlatformStatic::tick(float dt)
-    {
-        SUPER(JumpPlatformStatic, tick, dt);
-    }
-
     void JumpPlatformStatic::touchFigure()
     {
Index: /code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/jump/JumpPlatformStatic.h	(revision 11058)
@@ -41,6 +41,4 @@
             virtual ~JumpPlatformStatic();
 
-            virtual void tick(float dt) override;
-
             virtual void touchFigure() override;
     };
Index: /code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameAI.cc
===================================================================
--- /code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameAI.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameAI.cc	(revision 11058)
@@ -112,15 +112,3 @@
         return possibleMoves;
     }
-
-    /**
-    @brief
-        Is called each tick.
-        Implements the behavior of the PongAI (i.e. its intelligence).
-    @param dt
-        The time that has elapsed since the last tick.
-    */
-    void Mini4DgameAI::tick(float dt)
-    {
-
-    }
 }
Index: /code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameAI.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameAI.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/mini4dgame/Mini4DgameAI.h	(revision 11058)
@@ -39,6 +39,4 @@
 #include <list>
 
-#include "tools/interfaces/Tickable.h"
-
 #include "controllers/Controller.h"
 #include "Mini4DgameCenterpoint.h"
@@ -55,5 +53,5 @@
         Oliver Richter
     */
-    class _Mini4DgameExport Mini4DgameAI : public Controller, public Tickable
+    class _Mini4DgameExport Mini4DgameAI : public Controller
     {
         public:
@@ -72,7 +70,4 @@
             */
             Vector4 makeMove(float timeout);
-
-
-            virtual void tick(float dt);
 
             void setCenterpoint(Mini4DgameCenterpoint* center)
Index: /code/branches/cpp11_v3/src/modules/objects/triggers/TriggerBase.cc
===================================================================
--- /code/branches/cpp11_v3/src/modules/objects/triggers/TriggerBase.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/objects/triggers/TriggerBase.cc	(revision 11058)
@@ -104,15 +104,4 @@
     /**
     @brief
-        A method that is executed each tick.
-    @param dt
-        The duration of the last tick.
-    */
-    void TriggerBase::tick(float dt)
-    {
-        SUPER(TriggerBase, tick, dt);
-    }
-
-    /**
-    @brief
         Set the mode of the trigger.
     @param modeName
Index: /code/branches/cpp11_v3/src/modules/objects/triggers/TriggerBase.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/objects/triggers/TriggerBase.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/objects/triggers/TriggerBase.h	(revision 11058)
@@ -78,5 +78,4 @@
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< Method for creating a TriggerBase object through XML.
-            virtual void tick(float dt); //!< A method that is executed each tick.
 
             /**
Index: /code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- /code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 11058)
@@ -38,11 +38,4 @@
     }
 
-    void TowerDefenseEnemy::tick(float dt)
-    {   
-        //orxout() << "TDE tick1" << endl;
-        SUPER(TowerDefenseEnemy, tick, dt);
-        //orxout() << "TDE tick2" << endl;
-    }
-
     WeakPtr<TowerDefense> TowerDefenseEnemy::getGame()
     {
Index: /code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 11058)
@@ -37,5 +37,4 @@
         //health gibt es unter: health_
 
-        virtual void tick(float dt) override;
         virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs) override;
 
Index: /code/branches/cpp11_v3/src/modules/weapons/IceGunFreezer.cc
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/IceGunFreezer.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/weapons/IceGunFreezer.cc	(revision 11058)
@@ -63,17 +63,4 @@
     /**
     @brief
-        The controlling happens here. This method defines what the controller has to do each tick.
-    @param dt
-        The duration of the tick.
-    */
-    void IceGunFreezer::tick(float dt)
-    {
-        SUPER(IceGunFreezer, tick, dt);
-
-
-    }
-
-    /**
-    @brief
         Sets the freeze time variable to the passed value.
     */
Index: /code/branches/cpp11_v3/src/modules/weapons/IceGunFreezer.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/IceGunFreezer.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/modules/weapons/IceGunFreezer.h	(revision 11058)
@@ -37,5 +37,4 @@
 #include "weapons/WeaponsPrereqs.h"
 
-#include "tools/interfaces/Tickable.h"
 #include "worldentities/StaticEntity.h"
 #include "graphics/Model.h"
@@ -50,10 +49,9 @@
     @ingroup Weapons
     */
-    class _WeaponsExport IceGunFreezer : public StaticEntity, public Tickable
+    class _WeaponsExport IceGunFreezer : public StaticEntity
     {
         public:
             IceGunFreezer(Context* context);
             virtual ~IceGunFreezer();
-            virtual void tick(float dt) override;
             virtual void startFreezing();
             virtual void stopFreezing();
Index: /code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.cc	(revision 11058)
@@ -55,12 +55,4 @@
         this->actionpoints_.clear();
     } 
-    void DivisionController::tick(float dt)
-    {   
-        if (!this->isActive())
-            return;   
-        
-        SUPER(DivisionController, tick, dt);
-        
-    }
     void DivisionController::action()
     {   
Index: /code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.h
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/orxonox/controllers/DivisionController.h	(revision 11058)
@@ -50,8 +50,4 @@
             //----[/language demanded functions]----            
 
-            //----[orxonox demanded functions]----
-                virtual void tick(float dt); 
-            //----[orxonox demanded functions]----
-
             //----[own functions]----
                 virtual bool setFollower(ActionpointController* newFollower);
Index: /code/branches/cpp11_v3/src/orxonox/controllers/SectionController.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/controllers/SectionController.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/orxonox/controllers/SectionController.cc	(revision 11058)
@@ -55,14 +55,4 @@
         this->parsedActionpoints_.clear();
         this->actionpoints_.clear();
-    }
-
-    //----in tick, move (or look) and shoot----
-    void SectionController::tick(float dt)
-    {
-        if (!this->isActive())
-            return;
-   
-        SUPER(SectionController, tick, dt);
-        
     }
 
Index: /code/branches/cpp11_v3/src/orxonox/controllers/SectionController.h
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/controllers/SectionController.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/orxonox/controllers/SectionController.h	(revision 11058)
@@ -49,8 +49,4 @@
             //----[/language demanded functions]----
             
-            //----[orxonox demanded functions]----
-                virtual void tick(float dt); 
-            //----[/orxonox demanded functions]----
-            
             //----[own functions]----
                 ActionpointController* findNewDivisionLeader();
Index: /code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.cc
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.cc	(revision 11057)
+++ /code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.cc	(revision 11058)
@@ -53,14 +53,4 @@
         this->parsedActionpoints_.clear();
         this->actionpoints_.clear();
-    }
-  
-    //----in tick, move (or look) and shoot----
-    void WingmanController::tick(float dt)
-    {   
-        if (!this->isActive())
-            return; 
-        
-        SUPER(WingmanController, tick, dt);
-
     }
     
Index: /code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.h
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.h	(revision 11057)
+++ /code/branches/cpp11_v3/src/orxonox/controllers/WingmanController.h	(revision 11058)
@@ -51,5 +51,4 @@
             
             //----[orxonox demanded functions]----
-                virtual void tick(float dt); 
                 virtual bool hasWingman()
                     { return false; }