Index: code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/overlays/hud/HUDHealthBar.h	(revision 11062)
@@ -112,6 +112,6 @@
                 { this->owner_ = owner; }
         protected:
-            virtual void positionChanged();
-            virtual void sizeChanged();
+            virtual void positionChanged() override;
+            virtual void sizeChanged() override;
         private:
             void positionText();
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/FusionMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             FusionMunition(Context* context);
-            virtual ~FusionMunition() {}
+            virtual ~FusionMunition() = default;
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/GravityBombMunition.h	(revision 11062)
@@ -27,5 +27,5 @@
         public:
             GravityBombMunition(Context* context);
-            virtual ~GravityBombMunition() {}
+            virtual ~GravityBombMunition() = default;
     };
 
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/IceMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             IceMunition(Context* context);
-            virtual ~IceMunition() {}
+            virtual ~IceMunition() = default;
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/LaserMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             LaserMunition(Context* context);
-            virtual ~LaserMunition() {}
+            virtual ~LaserMunition() = default;
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/LightningMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             LightningMunition(Context* context);
-            virtual ~LightningMunition() {}
+            virtual ~LightningMunition() = default;
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/MineMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             MineMunition(Context* context);
-            virtual ~MineMunition() {}
+            virtual ~MineMunition() = default;
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/RocketMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             RocketMunition(Context* context);
-            virtual ~RocketMunition() {}
+            virtual ~RocketMunition() = default;
     };
 }
Index: code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h
===================================================================
--- code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h	(revision 11061)
+++ code/branches/cpp11_v3/src/modules/weapons/munitions/SplitMunition.h	(revision 11062)
@@ -52,5 +52,5 @@
         public:
             SplitMunition(Context* context);
-            virtual ~SplitMunition() {}
+            virtual ~SplitMunition() = default;
     };
 }