Index: /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.h	(revision 11063)
+++ /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeapon.h	(revision 11064)
@@ -64,5 +64,5 @@
         virtual void sizeChanged();
 
-        virtual void setWeapon(Weapon* weapon);
+        void setWeapon(Weapon* weapon);
 
         inline void setWeaponModeHUDActualSize(Vector2 vector)
@@ -84,10 +84,10 @@
 
     private:
-        virtual void createHUDChilds();
-        virtual void positionHUDChilds();
-        virtual void destroyHUDChilds();
-        virtual void updateWeaponModeList();
-        virtual void updateSize();
-        virtual void updatePosition();
+        void createHUDChilds();
+        void positionHUDChilds();
+        void destroyHUDChilds();
+        void updateWeaponModeList();
+        void updateSize();
+        void updatePosition();
 
         WeakPtr<Pawn> owner_;
Index: /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h	(revision 11063)
+++ /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponMode.h	(revision 11064)
@@ -65,5 +65,5 @@
         virtual void sizeChanged();
 
-        virtual void setWeaponMode(WeaponMode* weaponMode);
+        void setWeaponMode(WeaponMode* weaponMode);
 
         inline void setWeaponModeHUDActualSize(Vector2 vector)
@@ -88,7 +88,7 @@
 
     private:
-        virtual void updateSize();
-        virtual void updatePosition();
-        virtual void positionHUDChilds();
+        void updateSize();
+        void updatePosition();
+        void positionHUDChilds();
 
         WeakPtr<Pawn> owner_;
Index: /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.h	(revision 11063)
+++ /code/branches/cpp11_v3/src/modules/overlays/hud/HUDWeaponSystem.h	(revision 11064)
@@ -64,8 +64,8 @@
             { return weaponModeHUDSize_; }
     private:
-        virtual void updateWeaponList();
-        virtual void createHUDChilds();
-        virtual void positionHUDChilds();
-        virtual void destroyHUDChilds();
+        void updateWeaponList();
+        void createHUDChilds();
+        void positionHUDChilds();
+        void destroyHUDChilds();
 
         WeakPtr<Pawn> owner_;
Index: /code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.h	(revision 11063)
+++ /code/branches/cpp11_v3/src/modules/pickup/items/MunitionPickup.h	(revision 11064)
@@ -63,5 +63,5 @@
             virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
 
-            virtual void addMunitionContainer(MunitionContainer* munitionContainer);
+            void addMunitionContainer(MunitionContainer* munitionContainer);
             MunitionContainer* getMunitionContainer(unsigned int index);
 
Index: /code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.h
===================================================================
--- /code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.h	(revision 11063)
+++ /code/branches/cpp11_v3/src/modules/weapons/projectiles/MineProjectile.h	(revision 11064)
@@ -59,6 +59,6 @@
             virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
 
-            virtual void setMaxTimeUntilExplosion(float maxTimeUntilExplosion);
-            virtual void setTimeUntilActivation(float timeUntilActivation);
+            void setMaxTimeUntilExplosion(float maxTimeUntilExplosion);
+            void setTimeUntilActivation(float timeUntilActivation);
         protected:
             static const float triggerRadius_;
@@ -84,7 +84,7 @@
             WeakPtr<DistanceTrigger> distanceTrigger_;
 
-            virtual void destructionEffect();
-            virtual void allowExplosion();
-            virtual void explode();
+            void destructionEffect();
+            void allowExplosion();
+            void explode();
     };
 }
Index: /code/branches/cpp11_v3/src/orxonox/weaponsystem/ReplenishingMunition.h
===================================================================
--- /code/branches/cpp11_v3/src/orxonox/weaponsystem/ReplenishingMunition.h	(revision 11063)
+++ /code/branches/cpp11_v3/src/orxonox/weaponsystem/ReplenishingMunition.h	(revision 11064)
@@ -56,5 +56,5 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             
-            virtual float getProgress();
+            float getProgress();
             inline unsigned int getReplenishAmount() const
                 { return replenishAmount_; }